PETSc version 3.17.4
Fix/Edit manual page

# PetscViewerBinaryRead

Reads from a binary file, all processors get the same result

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryRead(PetscViewer viewer,void *data,PetscInt num,PetscInt *count,PetscDataType dtype)

Collective

### Input Parameters

| viewer | - the binary viewer
| data | - location of the data to be written
| num | - number of items of data to read
| dtype | - type of data to read

### Output Parameters

| count | - number of items of data actually read, or NULL.

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscViewerBinaryRead()

### Level

beginner

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages